Folks.AntiLinkable.add_anti_links – folks Reference Manual

# add_anti_links

## Description:

public async void add_anti_links (Set<Persona> other_personas) throws PropertyError

Add anti-links to other personas.

The UIDs of all personas in `other_personas` will be added to this persona's anti-links set and the changes propagated to backends.

Any attempt to anti-link a persona with itself is not an error, but is ignored.

This method is safe to call multiple times concurrently (e.g. begin one asynchronous call, then begin another before the first has finished).

## Parameters:

other_personas | the personas to anti-link to this one

## Exceptions:

PropertyError | if setting the anti-links failed

## Since:

0.7.3